Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1123637 - RHEV-H 20140603.2 - new FC LUNs not visible
Summary: RHEV-H 20140603.2 - new FC LUNs not visible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.2
Assignee: Nir Soffer
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1121998
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 12:29 UTC by rhev-integ
Modified: 2018-12-09 18:14 UTC (History)
13 users (show)

Fixed In Version: vdsm-4.14.13-1.el6ev
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121998
Environment:
Last Closed: 2014-09-08 16:27:46 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27122 None None None Never
oVirt gerrit 30985 ovirt-3.4 MERGED multipath: Rescan also FC devices Never
Red Hat Knowledge Base (Solution) 1139593 None None None Never

Comment 2 Allon Mureinik 2014-07-27 12:34:03 UTC
Nir - all acks are granted. Please backprot to 3.4.z.

Comment 3 Elad 2014-08-13 09:11:47 UTC
I have a rhel7 host with vdsm-4.14.13-1.el6ev installed. (not RHEV-H)
Exposed a new LUN to the host by FC.


When trying to create a new FC domain, issue_lip is executed for every attepmt, but for some reason, the new device appears only after a few attempts of scanning the SCSI bus

Nir, I guess this is not the expected behaviour.

Comment 4 Nir Soffer 2014-08-13 10:24:39 UTC
(In reply to Elad from comment #3)
> I have a rhel7 host with vdsm-4.14.13-1.el6ev installed. (not RHEV-H)
> Exposed a new LUN to the host by FC.
> 
> 
> When trying to create a new FC domain, issue_lip is executed for every
> attepmt, but for some reason, the new device appears only after a few
> attempts of scanning the SCSI bus
> 
> Nir, I guess this is not the expected behaviour.

Can you reproduce this when vdsm is not running?

1. Expose new device
2. Run manually the issue_lip command

If this is reproducible, we should open a kernel bug for this, and this bug should be blocked on the kernel bug.

Comment 5 Elad 2014-08-13 12:00:20 UTC
I've executed the scenario 10 more times, while vdsm is running and also manually when it's stopped, only I've waited a few seconds between the LUN mapping and scanning the SCSI devices. When vdsm is running, the new LUN gets visible every time to the host by multipath and can be used as a pv for FC storage domain.
Moving the bug to VERIFIED.

Used rhev3.4.2 
vdsm-4.14.13-1.el7ev.x86_64
rhevm-3.4.2-0.1.el6ev.noarch


Note You need to log in before you can comment on or make changes to this bug.